Skip to content

Access Control

All operations require authentication.

45 operationsv1/dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List allowed networksProduction

GET
/v1/dedicatedCloud/{serviceName}/allowedNetwork

List allowed networks. Returns the IDs of the networks allowed through the infrastructure firewall. They apply only when the service access policy is filtered.

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/allowedNetwork \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an allowed networkProduction

GET
/v1/dedicatedCloud/{serviceName}/allowedNetwork/{networkAccessId}

Path parameters

networkAccessId
required
integer
—
serviceName
required
string

Domain of the service

Response

200AllowedNetworksuccessful operation
description
string
—
network
ipv4Block

Network name, e.g. 123.100.200.0/32

networkAccessId
read-only
integer
—
state
read-only
AllowedNetworkStateEnum

All states an Allowed Network can be in

ValuesallowedtoDeletetoUpdate

Example uses networkAccessId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/allowedNetwork/{networkAccessId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "network": "192.0.2.0/24", "networkAccessId": 0, "state": "allowed"}

Get the AD federation optionDeprecated

GET
/v1/dedicatedCloud/{serviceName}/federation

Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.

Get the AD federation option. Returns the state of the Active Directory federation option. Deprecated: use iam instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200Federationsuccessful operation
state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/federation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "disabled"}

List federated Active DirectoriesDeprecated

GET
/v1/dedicatedCloud/{serviceName}/federation/activeDirectory

Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.

List federated Active Directories. Returns the IDs of the federated Active Directories. Deprecated: use iam instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/federation/activeDirectory \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a federated Active DirectoryDeprecated

GET
/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId}

Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.

Get a federated Active Directory. Returns the federated Active Directory: domain, base DNs, LDAP host and port, and state. Deprecated: use iam instead.

Path parameters

activeDirectoryId
required
integer

Id of the Active Directory

serviceName
required
string

Domain of the service

Response

200FederationAccessNetworksuccessful operation
activeDirectoryId
read-only
integer

Id of the Active Directory

baseDnForGroups
read-only
string

Active Directory base DN for groups

baseDnForUsers
read-only
string

Active Directory base DN for users

description
read-only
string

Description of your option access network

domainAlias
read-only
string

Active Directory NetBIOS name

domainName
read-only
string

Active Directory domain name

ip
read-only
ipv4

IP address of the remote service

ldapHostname
read-only
string

Active Directory LDAP hostname

ldapTcpPort
read-only
integer

Active Directory LDAP port

noSsl
read-only
boolean

Use unsecure LDAP instead of LDAPS

sslThumbprint
read-only
string

SSL thumbprint of the remote service

state
read-only
StateEnum

State of the option

ValuescreatingdeletingdeliverederrortoCreatetoDeletetoUpdateunknownupdating
username
read-only
string

Active Directory user name

Example uses activeDirectoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activeDirectoryId": 0, "baseDnForGroups": "string", "baseDnForUsers": "string", "description": "string", "domainAlias": "string", "domainName": "string", "ip": "192.0.2.0", "ldapHostname": "string", "ldapTcpPort": 0, "noSsl": true, "sslThumbprint": "string", "state": "creating", "username": "string"}

Get the HDS optionProduction

GET
/v1/dedicatedCloud/{serviceName}/hds

Path parameters

serviceName
required
string

Domain of the service

Response

200Hdssuccessful operation
state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hds \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "disabled"}

Check if HDS can be disabledDeprecated

GET
/v1/dedicatedCloud/{serviceName}/hds/canBeDisabled

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Check if HDS can be disabled. Returns the current and future commercial versions of the service if the option is disabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200optionCompatibilitysuccessful operation
newCommercialVersion
string

The new/future commercial version

oldCommercialVersion
string

The old/current commercial version

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hds/canBeDisabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}

Check if HDS can be enabledDeprecated

GET
/v1/dedicatedCloud/{serviceName}/hds/canBeEnabled

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Check if HDS can be enabled. Returns the current and future commercial versions of the service if the option is enabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200optionCompatibilitysuccessful operation
newCommercialVersion
string

The new/future commercial version

oldCommercialVersion
string

The old/current commercial version

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hds/canBeEnabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}

Get the HIPAA optionProduction

GET
/v1/dedicatedCloud/{serviceName}/hipaa

Path parameters

serviceName
required
string

Domain of the service

Response

200Hipaasuccessful operation
state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hipaa \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "disabled"}

Check if HIPAA can be disabledDeprecated

GET
/v1/dedicatedCloud/{serviceName}/hipaa/canBeDisabled

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Check if HIPAA can be disabled. Returns the current and future commercial versions of the service if the option is disabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200optionCompatibilitysuccessful operation
newCommercialVersion
string

The new/future commercial version

oldCommercialVersion
string

The old/current commercial version

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hipaa/canBeDisabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}

Check if HIPAA can be enabledDeprecated

GET
/v1/dedicatedCloud/{serviceName}/hipaa/canBeEnabled

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Check if HIPAA can be enabled. Returns the current and future commercial versions of the service if the option is enabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200optionCompatibilitysuccessful operation
newCommercialVersion
string

The new/future commercial version

oldCommercialVersion
string

The old/current commercial version

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hipaa/canBeEnabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}

Get the IAM optionProduction

GET
/v1/dedicatedCloud/{serviceName}/iam

Path parameters

serviceName
required
string

Domain of the service

Response

200Iamsuccessful operation
identityProviderId
read-only
integer

Identity Provider ID

state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/iam \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "identityProviderId": 0, "state": "disabled"}

Check if IAM can be disabledProduction

GET
/v1/dedicatedCloud/{serviceName}/iam/canBeDisabled

Path parameters

serviceName
required
string

Domain of the service

Response

200booleansuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/iam/canBeDisabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Check if IAM can be enabledProduction

GET
/v1/dedicatedCloud/{serviceName}/iam/canBeEnabled

Path parameters

serviceName
required
string

Domain of the service

Response

200booleansuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/iam/canBeEnabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Get the password policyProduction

GET
/v1/dedicatedCloud/{serviceName}/passwordPolicy

Get the password policy. Returns the password rules for users: length, mandatory and denied characters, history and validity period.

Path parameters

serviceName
required
string

Domain of the service

Response

200passwordPolicysuccessful operation
deniedChars
string[]

List of denied characters in the password

digitMandatory
boolean

Whether or not a digit (0-9) is mandatory in the password

historyCheck
integer

Number of previous passwords to keep

letterMandatory
boolean

Whether or not a letter (a-z or A-Z) is mandatory in the password

lowercaseLetterMandatory
boolean

Whether or not a lowercase letter (a-z) is mandatory in the password

maxLength
integer

Maximum lenght of the password

minLength
integer

Minimum lenght of the password

specialMandatory
boolean

Whether or not a special character (\W or _) is mandatory in the password

uppercaseLetterMandatory
boolean

Whether or not an uppercase letter (A-Z) is mandatory in the password

validityPeriod
integer

Password validity period (in days)

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/passwordPolicy \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "deniedChars": [ "string" ], "digitMandatory": true, "historyCheck": 0, "letterMandatory": true, "lowercaseLetterMandatory": true, "maxLength": 0, "minLength": 0, "specialMandatory": true, "uppercaseLetterMandatory": true, "validityPeriod": 0}

Get the PCI-DSS optionProduction

GET
/v1/dedicatedCloud/{serviceName}/pcidss

Path parameters

serviceName
required
string

Domain of the service

Response

200PciDsssuccessful operation
state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/pcidss \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "disabled"}

Check if PCI-DSS can be disabledDeprecated

GET
/v1/dedicatedCloud/{serviceName}/pcidss/canBeDisabled

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Check if PCI-DSS can be disabled. Returns the current and future commercial versions of the service if the option is disabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200optionCompatibilitysuccessful operation
newCommercialVersion
string

The new/future commercial version

oldCommercialVersion
string

The old/current commercial version

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/pcidss/canBeDisabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}

Check if PCI-DSS can be enabledDeprecated

GET
/v1/dedicatedCloud/{serviceName}/pcidss/canBeEnabled

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Check if PCI-DSS can be enabled. Returns the current and future commercial versions of the service if the option is enabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200optionCompatibilitysuccessful operation
newCommercialVersion
string

The new/future commercial version

oldCommercialVersion
string

The old/current commercial version

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/pcidss/canBeEnabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}

Get the security optionsProduction

GET
/v1/dedicatedCloud/{serviceName}/securityOptions

Path parameters

serviceName
required
string

Domain of the service

Response

200SecurityOptionsuccessful operation
state
read-only
StateEnum

State of security options

ValuescreatingdeleteddeletingdelivereddisabledpendingtoCreateupdating

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/securityOptions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "creating"}

List security optionsProduction

GET
/v1/dedicatedCloud/{serviceName}/securityOptions/compatibilityMatrix

List security options. Returns each security option with its state, whether it is enabled and compatible, and the reason when it is not compatible.

Path parameters

serviceName
required
string

Domain of the service

Query parameters

showIncompatible
boolean

Show incompatible security options (enabled by default)

showInternal
boolean

Show internal security options

Response

200CompatibilityMatrixEntry[]successful operation
compatible
boolean

Indicates if option is compatible and can be enabled on your Dedicated Cloud

description
string

Security option description

enabled
boolean

Indicates if option is enabled on your Dedicated Cloud

name
SecurityOptionEnum

Security option name

ValuesaccessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwaf
reason
ErrorMessage

If your Dedicated Cloud is not compatible with this option, indicates the reason

state
StateEnum

Detailed security option state

ValuescreatingdeleteddeletingdelivereddisabledpendingtoCreateupdating

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/securityOptions/compatibilityMatrix \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "compatible": true, "description": "string", "enabled": true, "name": "accessNetworkFiltered", "reason": { "code": "ACTION_IMPOSSIBLE", "message": "string" }, "state": "creating" }]

Get security option dependenciesProduction

GET
/v1/dedicatedCloud/{serviceName}/securityOptions/dependenciesTree

Get security option dependencies. Returns the options that a security option requires, conflicts with, and enables with it.

Path parameters

serviceName
required
string

Domain of the service

Query parameters

option
required
SecurityOptionEnum

Target security option

ValuesaccessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwaf

Response

200DependenciesTreesuccessful operation
conflicts
SecurityOptionEnum[]

List of conflicting security options which prevents installing given security option

ValuesaccessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwaf
depends
SecurityOptionEnum[]

List of dependencies that will also be enabled during an install of given security option

ValuesaccessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwaf
requires
SecurityOptionEnum[]

List of required security options which must be enabled to install given security option

ValuesaccessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwaf

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/securityOptions/dependenciesTree \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "conflicts": [ "accessNetworkFiltered" ], "depends": [ "accessNetworkFiltered" ], "requires": [ "accessNetworkFiltered" ]}

List pending security optionsProduction

GET
/v1/dedicatedCloud/{serviceName}/securityOptions/pendingOptions

Path parameters

serviceName
required
string

Domain of the service

Response

200SecurityOptionEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/securityOptions/pendingOptions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "accessNetworkFiltered"]

List 2FA whitelisted networksProduction

GET
/v1/dedicatedCloud/{serviceName}/twoFAWhitelist

List 2FA whitelisted networks. Returns the IDs of the networks exempted from two-factor authentication.

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/twoFAWhitelist \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a 2FA whitelisted networkProduction

GET
/v1/dedicatedCloud/{serviceName}/twoFAWhitelist/{id}

Get a 2FA whitelisted network. Returns the IP address, netmask, description and state of the exempted network.

Path parameters

id
required
integer

Id of the trusted IP

serviceName
required
string

Domain of the service

Response

200twoFAWhitelistsuccessful operation
cidrNetmask
read-only
integer

IP netmask (CIDR notation) of the remote service

description
read-only
string

Description of the trusted IP

id
read-only
integer

Id of the trusted IP

ip
read-only
ipv4

IP address of the remote service

state
read-only
TwoFAWhitelistStateEnum

State of the whitelist

Valuesenabledenablingerrormigratingremovedremoving

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/twoFAWhitelist/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cidrNetmask": 0, "description": "string", "id": 0, "ip": "192.0.2.0", "state": "enabled"}

Create an allowed networkProduction

POST
/v1/dedicatedCloud/{serviceName}/allowedNetwork

Create an allowed network. Allows a network, in CIDR notation, through the infrastructure firewall. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

description
string

Description for your ACL

network
required
ipv4Block

Network name, e.g. 123.100.200.0/32

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/allowedNetwork \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Create a federated Active DirectoryDeprecated

POST
/v1/dedicatedCloud/{serviceName}/federation/activeDirectory

Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam/enable instead.

Create a federated Active Directory. Connects an Active Directory over LDAPS, or over LDAP with noSsl. Deprecated: use iam/enable instead.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

baseDnForGroups
required
string

Active Directory base DN for groups, e.g. dc=example,dc=com

baseDnForUsers
required
string

Active Directory base DN for users, e.g. dc=example,dc=com

description
string

Description of your option access network

domainAlias
required
string

Active Directory NetBIOS name, e.g. example

domainName
required
string

Active Directory domain name, e.g. example.com

ip
required
ipv4

IP address of the remote service, e.g. 123.100.200.0

ldapHostname
string

Active Directory LDAP hostname

ldapTcpPort
integer

Active Directory LDAP/LDAPS TCP port (636 for LDAPS or 389 for LDAP)

noSsl
boolean

Use unsecure LDAP instead of LDAPS

password
required
stringpassword

Active Directory password

sslThumbprint
string

SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F

username
required
string

Active Directory user name (pre-Windows 2000 name), e.g. jdoe@example.com

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/federation/activeDirectory \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Update a federated Active DirectoryDeprecated

POST
/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId}/changeProperties

Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.

Update a federated Active Directory. Updates the credentials, SSL thumbprint or description of the federated Active Directory. Deprecated: use iam instead.

Path parameters

activeDirectoryId
required
integer

Id of the Active Directory

serviceName
required
string

Domain of the service

Request body (required)

description
string

Description of your option access network

password
required
stringpassword

Active Directory password

sslThumbprint
string

SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F

username
required
string

Active Directory user name (pre-Windows 2000 name), e.g. jdoe@example.com or jdoe

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses activeDirectoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId}/changeProperties \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Grant access to an AD groupDeprecated

POST
/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId}/grantActiveDirectoryGroup

Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam/addRole instead.

Grant access to an AD group. Grants access to an Active Directory group. Deprecated: use iam/addRole instead.

Path parameters

activeDirectoryId
required
integer

Id of the Active Directory

serviceName
required
string

Domain of the service

Request body (required)

groupName
required
string

Active Directory group name (pre-Windows 2000 name), e.g. mygroup

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses activeDirectoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId}/grantActiveDirectoryGroup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Grant access to an AD userDeprecated

POST
/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId}/grantActiveDirectoryUser

Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam/addRole instead.

Grant access to an AD user. Grants access to an Active Directory user. Deprecated: use iam/addRole instead.

Path parameters

activeDirectoryId
required
integer

Id of the Active Directory

serviceName
required
string

Domain of the service

Request body (required)

username
required
string

Active Directory user name (pre-Windows 2000 name), e.g. jdoe@example.com or jdoe

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses activeDirectoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId}/grantActiveDirectoryUser \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable HDSDeprecated

POST
/v1/dedicatedCloud/{serviceName}/hds/disable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Disable HDS. Disables the HDS certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hds/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable HDSDeprecated

POST
/v1/dedicatedCloud/{serviceName}/hds/enable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Enable HDS. Enables the HDS certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hds/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable HIPAADeprecated

POST
/v1/dedicatedCloud/{serviceName}/hipaa/disable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Disable HIPAA. Disables the HIPAA certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hipaa/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable HIPAADeprecated

POST
/v1/dedicatedCloud/{serviceName}/hipaa/enable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Enable HIPAA. Enables the HIPAA certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/hipaa/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Create an IAM roleProduction

POST
/v1/dedicatedCloud/{serviceName}/iam/addRole

Create an IAM role. Creates a role with the given name for the OVHcloud IAM option. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

name
required
string

Role name, e.g. mygroup

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/iam/addRole \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable IAMProduction

POST
/v1/dedicatedCloud/{serviceName}/iam/disable

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/iam/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable IAMProduction

POST
/v1/dedicatedCloud/{serviceName}/iam/enable

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/iam/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable PCI-DSSDeprecated

POST
/v1/dedicatedCloud/{serviceName}/pcidss/disable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Disable PCI-DSS. Disables the PCI-DSS certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/pcidss/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable PCI-DSSDeprecated

POST
/v1/dedicatedCloud/{serviceName}/pcidss/enable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Enable PCI-DSS. Enables the PCI-DSS certification option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.

Path parameters

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/pcidss/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Resume a security option activationProduction

POST
/v1/dedicatedCloud/{serviceName}/securityOptions/resumePendingEnabling

Resume a security option activation. Retries the activation of a pending security option. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

option
required
SecurityOptionEnum

Security option to resume enabling

ValuesaccessNetworkFilteredadvancedSecuritybasecontentLibrarygrsecKernelhdshidshipaalogForwardernidspcidssprivateCustomerVlanprivateGwsendLogToCustomersessionTimeoutsftpsncsplasslV3tls1.2tokenValidationtwoFatwoFaFail2banvrliForwarderwaf

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/securityOptions/resumePendingEnabling \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Create a 2FA whitelisted networkProduction

POST
/v1/dedicatedCloud/{serviceName}/twoFAWhitelist

Create a 2FA whitelisted network. Exempts an IP address or network from two-factor authentication. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

description
required
string

Description of the exception

ip
required
ipBlock

IP address or network of the remote service, e.g. 123.100.200.0

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/twoFAWhitelist \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Update a 2FA whitelisted networkProduction

POST
/v1/dedicatedCloud/{serviceName}/twoFAWhitelist/{id}/changeProperties

Path parameters

id
required
integer

Id of the trusted IP

serviceName
required
string

Domain of the service

Request body (required)

description
string

Description of your whitelist

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/twoFAWhitelist/{id}/changeProperties \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Delete an allowed networkProduction

DELETE
/v1/dedicatedCloud/{serviceName}/allowedNetwork/{networkAccessId}

Delete an allowed network. Removes the network from the infrastructure firewall. Returns a task to track progress.

Path parameters

networkAccessId
required
integer
—
serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses networkAccessId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/allowedNetwork/{networkAccessId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Delete a federated Active DirectoryDeprecated

DELETE
/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId}

Deprecated since May 13, 2024, will be removed on Jan 31, 2025 — use /dedicatedCloud/{serviceName}/iam instead.

Delete a federated Active Directory. Removes the federated Active Directory. Deprecated: use iam instead.

Path parameters

activeDirectoryId
required
integer

Id of the Active Directory

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses activeDirectoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/federation/activeDirectory/{activeDirectoryId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Delete a 2FA whitelisted networkProduction

DELETE
/v1/dedicatedCloud/{serviceName}/twoFAWhitelist/{id}

Path parameters

id
required
integer

Id of the trusted IP

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/twoFAWhitelist/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Update an allowed networkProduction

PUT
/v1/dedicatedCloud/{serviceName}/allowedNetwork/{networkAccessId}

Path parameters

networkAccessId
required
integer
—
serviceName
required
string

Domain of the service

Request body (required)

description
string
—
network
ipv4Block

Network name, e.g. 123.100.200.0/32

networkAccessId
read-only
integer
—
state
read-only
AllowedNetworkStateEnum

All states an Allowed Network can be in

ValuesallowedtoDeletetoUpdate

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses networkAccessId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/allowedNetwork/{networkAccessId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}